<div class="form-group">
    <app-yearselector (onChange)="onChangeYear($event)"></app-yearselector>
</div>
<div class="row form-group">
    <div class="col-sm-4" *ngFor="let location of most_frequent_words">
        <h4>{{location.location}}</h4>
        <p-table [value]="location.words" [scrollable]="true" scrollHeight="300px" selectionMode="single" [(selection)]="selectedWord">
            <ng-template pTemplate="header">
                <tr>
                    <th>Word</th>
                    <th>Frequency</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-word>
                <tr [pSelectableRow]="word">
                    <td>{{word.word}}</td>
                    <td>{{word.frequency}}</td>
                </tr>
            </ng-template>
        </p-table>
    </div>
</div>
<div *ngIf="selectedWord">
    <h4>{{selectedWord.word}}</h4>
    <p-table [value]="selectedWord.original" [scrollable]="true" scrollHeight="300px">
        <ng-template pTemplate="header">
            <tr>
                <th>User</th>
                <th>Description</th>
            </tr>
        </ng-template>
        <ng-template pTemplate="body" let-original>
            <tr>
                <td>{{original.user}}</td>
                <td>{{original.description}}</td>
            </tr>
        </ng-template>
    </p-table>
</div>